Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class PotionHealth

    java.lang.Object
      net.minecraft.src.Potion
          net.minecraft.src.PotionHealth

    public class PotionHealth

extends Potion

Field Summary

Fields inherited from class net.minecraft.src.Potion
`blindness, confusion, damageBoost, digSlowdown, digSpeed, field_76405_D, field_76406_E, field_76407_F, field_76408_G, field_76409_A, field_76410_B, field_76411_C, field_76423_b, field_76434_w, field_76435_v, field_76442_z, field_76443_y, field_76444_x, fireResistance, harm, heal, hunger, id, invisibility, jump, moveSlowdown, moveSpeed, nightVision, poison, potionTypes, regeneration, resistance, waterBreathing, weakness`

Constructor Summary
`PotionHealth(int par1, boolean par2, int par3)`

Method Summary
`boolean` | `isInstant()` Returns true if the potion has an instant effect instead of a continuous one (eg Harming)
`boolean` | `isReady(int par1, int par2)` checks if Potion effect is ready to be applied this tick.

Methods inherited from class net.minecraft.src.Potion
`affectEntity, getDurationString, getEffectiveness, getId, getLiquidColor, getName, getStatusIconIndex, hasStatusIcon, isBadEffect, isUsable, performEffect, setPotionName, setPotionUnusable`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PotionHealth

    public PotionHealth(int par1,
                        boolean par2,
                        int par3)

Method Detail

### isInstant

    public boolean isInstant()

  Returns true if the potion has an instant effect instead of a continuous one (eg Harming)

  Overrides:
    `isInstant` in class `Potion`

### isReady

    public boolean isReady(int par1,
                           int par2)

  checks if Potion effect is ready to be applied this tick.

  Overrides:
    `isReady` in class `Potion`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD